/*--------------------------------------------------------------
# Search Button
--------------------------------------------------------------*/

.ca-search-popup-open-button {
    letter-spacing: 1.4px;
    font-weight: 600;
    cursor: pointer;
    vertical-align: middle;
    height: 52px;
    line-height: 52px;
    margin: 5px 10px;
    text-transform: uppercase;
    font-size: 12px !important;
    letter-spacing: 1px;
    border-radius: 20px;
    float: right;
    background: none;
    padding: 0;
    border: none;
}

.ca-search-popup-open-button i {
    font-size: 22px;
    vertical-align: middle;
    color: #ffffff !important;
}

/*--------------------------------------------------------------
# Popup
--------------------------------------------------------------*/

#ca-search-popup {
    height: 100%;
    width: 100%;
    position: fixed;
    z-index: 999999;
    top: 0;
    left: 0;
    background-color: rgba(17, 17, 17, 0.9);
    overflow-x: hidden;
    display: none;
}

#ca-search-popup.open{
    display: block;
}

/* Close Button */

#ca-search-popup .ca-search-popup--close {
    position: absolute;
    top: 20px;
    right: 45px;
    font-size: 60px;
}

/* Content */

#ca-search-popup .ca-search-popup--content {
    position: relative;
    top: 15%;
    width: 100%;
    text-align: center;
    max-width: 1200px;
    padding: 20px;
    margin: auto;
}

#ca-search-popup .ca-search-popup--content .fl-photo-content img{
    width: 300px !important;
    height: auto !important;
    max-width: unset !important;
    max-height: unset !important;
}

/* Search Form */

#ca-search-popup .ca-search-popup--content .fl-module-search .fl-button {
    position: relative;
    border-radius: 5px;
    padding: 15px 22px;
    text-align: left !important;
    margin-top: 0 !important;
    text-align: left !important;
    color: #eeeeee !important;
    background-color: #E10613!important;
    border:none;
    transition: all 0.2s ease-in-out;
}

#ca-search-popup .ca-search-popup--content .fl-module-search .fl-button:hover {
    background-color: #8E0808!important;
}

#ca-search-popup .ca-search-popup--content .fl-module-search .fl-button::before {
    content: "";
    display: block;
    position: absolute;
    left: 0;
    bottom: 0;
    height: 100%;
    background: #E10613;
    z-index: 2;
}

#ca-search-popup .ca-search-popup--content .fl-module-search .fl-button .fl-button-icon {
    z-index: 2 !important;
    position: relative;
}

#ca-search-popup .ca-search-popup--content .fl-module-search .fl-button::after {
    content: "";
    position: absolute;
    display: block;
    left: 0;
    top: 0;
    bottom: auto;
    height: 0;
    right: 0;
    background: #8E0808;
    z-index:1 ;
}

#ca-search-popup .ca-search-popup--content .fl-module-search .fl-form-field input[type=search] {
    border-radius: 0;
}